//
// General design
//

#pending-spinner {
  display: block;
  background: rgba(255,255,255,0.5);
  width: 100%;
  text-align: center;
  margin-top: 30%;
  margin-bottom: 40%;
  .spinner-loader {
    display: inline-block;
    vertical-align: middle;
    margin-top: 22px;
  }
}

#pending-spinner-message {
  margin-top: 24px;
  font-size: 1.2em;
  font-weight: bold;
}

#pending-detail {
  padding: 24px;
  background-color: aliceblue;
  border: #ececff 1px solid;
  border-radius: 8px;
}

#pending-transactions > .pending-container {
  cursor: pointer;
  height: 50px;
  text-align: left;
  border-radius: 8px;
  margin-bottom: 8px;
  padding: 4px;
  background-color: #e7f0f0;
  border: 1px solid #FFF;
}

#pending-transactions > .pending-container:hover {
  background-color: #cceef0;
  border: 1px solid #75bac1;
}

#pending-transactions .pending-date {
  text-align: left;
  font-size: 75%;
  width: 65px;
  display: inline-block;
  vertical-align: middle;
  margin-left: 4px;
  margin-right: 8px;
}

#pending-transactions .pending-details {
  text-align: left;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  display: inline-block;
  vertical-align: middle;

  width: calc(100% - 210px);
  @media (max-width: 470px) {
    width: calc(100% - 170px);
  }
}

#pending-transactions {
  /* table-layout: fixed; */
  @include user-select(text);
  width: 100%;
  max-width: 100%;
  margin-bottom: 24px;
  text-align: left;
}

.pending-complete,
.pending-pending,
.pending-failed {
  overflow: hidden;
  height: 24px;
  text-align: center;
  font-size: 50%;
  color: white;
  margin-left: 5px;
  margin-top: 5px;
  margin-bottom: 5px;
  border-radius: 25px;
  display: inline-block;
  vertical-align: middle;

  width: 120px;
  @media (max-width: 470px) {
    width: 80px;
  }

  .progress-meter {
    display: block;
    height: 100%;
    position: relative;
    background: #93e893;
    border-radius: 25px;
    padding: 10px;
    box-shadow: inset 0 -1px 1px rgba(255, 255, 255, 0.3);
  }

  .progress-text {
    display: block;
    height: 100%;
    overflow: hidden;
    position: relative;
    margin-top: -23px;
    font-size: 12px;
    opacity: 0.75;
    padding-left: 10px;
    padding-right: 10px;
  }
}

.pending-complete {
  background-color: #71bf71;
}

.pending-failed {
  background-color: #dc8383;

  .progress-meter {
    background-color: red;
  }
}

.pending-progress {
  display: inline-block;
  .progress-text {
    font-weight: normal;
    color: #7A7A7A;
  }
}

.pending-pending {
  background-color: #d2d2d2;
}

#pending-detail-id {
  display: block;
  overflow: hidden;
  width: 92%;
  margin-left: 5%;
  margin-bottom: 24px;
  font-size: 18px;
  text-align: center;
  /* fade text to white on overflow */
  background: linear-gradient(to right, #333, #333, #333, #333, rgba(255, 255, 255, 0));
  background-clip: border-box;
  background-clip: border-box;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: rgba(255, 241, 241, 0.5);
}

#pending-detail-source, #pending-detail-target {
  overflow: hidden;
  word-break: break-all;
}

#pending-detail-date, #pending-detail-action, #pending-detail-status {
}

#pending-detail-object {
  opacity: 0.55;
  margin-top: 12px;
  height: 1.5em;
  word-wrap: break-word;
  overflow: hidden;

  transition: all 1s ease-in-out 0s;
  -moz-transition: all 1s ease-in-out 0s;
  -webkit-transition: all 1s ease-in-out 0s;
  -o-transition: all 1s ease-in-out 0s;
}

#pending-detail-object:hover {
  opacity: 0.85;
}

#pending-detail-object-title {
  font-weight: bold;
}

#pending-detail-object-title:hover {
  cursor:pointer;
}

//
// Buttons
//

#pending-buttons {
  background: none;
}

#pending-close {
  width: 100%;
  /* margin-right: 2%; */
}

#pending-clear {
  width: 22%;
  background-color: #EDC;
  border-color: #FAA;
  color: #855;
}

#pending-disputeButton {
  width: 50%;
  margin-left: 25%;
  min-width: 120px;
  margin-top: 24px;
  margin-bottom: 0;
  background-color: #EDC;
  border-color: #FAA;
  color: #855;

  .icon {
    background-image: url("./svg/dispute.svg");
    filter: invert(35%) sepia(9%) saturate(2612%) hue-rotate(314deg) brightness(50%) contrast(67%);

    display: inline-block;
    vertical-align: middle;
    margin-right: 8px;
    width: 20px;
    height: 20px;
  }
}

